@extends('layouts.master')
@section('page-css')
    <link rel="stylesheet" href="{{asset('assets/styles/vendor/toastr.css')}}">
@endsection

@section('main-content')
    <div class="breadcrumb">
        <h1>محصولات</h1>
        <ul>
            <li><a>ویرایش محصول</a></a></li>
        </ul>
    </div>

    <div class="separator-breadcrumb border-top"></div>

    <!-- begin::basic action bar -->
    <section class="basic-action-bar">
        <div class="">
            <!-- begin::main-row -->
            <div class="row">
                <!-- start default action bar -->
                <div class="mb-3 col-12">
                    <div class="card">
                        <div class="card-header bg-transparent">
                            <h3 class="card-title">ویرایش محصول</h3>
                        </div>
                        <!--begin::form-->
                        <form action="{{ route('shop.update', $data->ID) }}" method="POST">
                            @method('PUT')
                            @csrf
                            <div class="card-body">
                                <div class="form-row ">
                                    
                                    <div class="form-group col-md-12">
                                        <label for="user" class="ul-form__label">عنوان : </label>
                                        <input id="text" name="Name" type="text" class="form-control @error('user') is-invalid @enderror"
                                               placeholder="" value="{{$data->Name}}">
                                        @error('user')
                                        <small class="ul-form__text form-text text-danger">
                                            {{$message}}
                                        </small>
                                        @enderror
                                    </div>
                                    
                                    <div class="form-group col-md-12">
                                        <label for="user" class="ul-form__label">کلید مارکت : </label>
                                        <input id="text" name="KeyMarket" type="text" class="form-control @error('user') is-invalid @enderror"
                                               placeholder="" value="{{$data->KeyMarket}}">
                                        @error('user')
                                        <small class="ul-form__text form-text text-danger">
                                            {{$message}}
                                        </small>
                                        @enderror
                                    </div>
                                    
                                    <div class="form-group col-md-12">
                                        <label for="user" class="ul-form__label">قیمت (دلار) : </label>
                                        <input id="text" name="USD" type="text" class="form-control @error('user') is-invalid @enderror"
                                               placeholder="" value="{{$data->USD}}">
                                        @error('user')
                                        <small class="ul-form__text form-text text-danger">
                                            {{$message}}
                                        </small>
                                        @enderror
                                    </div>
                                    
                                    <div class="form-group col-md-12">
                                        <label for="user" class="ul-form__label">قیمت (تومان) : </label>
                                        <input id="text" name="Price" type="text" class="form-control @error('user') is-invalid @enderror"
                                               placeholder="" value="{{$data->Price}}">
                                        @error('user')
                                        <small class="ul-form__text form-text text-danger">
                                            {{$message}}
                                        </small>
                                        @enderror
                                    </div>
                                    
                                    <div class="form-group col-md-12">
                                        <label for="user" class="ul-form__label">تعداد خرید : </label>
                                        <input id="text" name="Number_Buy" type="text" class="form-control @error('user') is-invalid @enderror"
                                               placeholder="" value="{{$data->Number_Buy}}">
                                        @error('user')
                                        <small class="ul-form__text form-text text-danger">
                                            {{$message}}
                                        </small>
                                        @enderror
                                    </div>
                                    
                                    <div class="form-group col-md-12">
                                        <label for="user" class="ul-form__label">تعداد دریافتی : </label>
                                        <input id="text" name="Number_Get" type="text" class="form-control @error('user') is-invalid @enderror"
                                               placeholder="" value="{{$data->Number_Get}}">
                                        @error('user')
                                        <small class="ul-form__text form-text text-danger">
                                            {{$message}}
                                        </small>
                                        @enderror
                                    </div>
                                    
                                    <div class="form-group col-md-12">
                                        <label for="user" class="ul-form__label">مدل سکه ( 0 = سکه فالو | 1 = سکه مشترک ) : </label>
                                        <input id="text" name="Model" type="text" class="form-control @error('user') is-invalid @enderror"
                                               placeholder="" value="{{$data->Model}}">
                                        @error('user')
                                        <small class="ul-form__text form-text text-danger">
                                            {{$message}}
                                        </small>
                                        @enderror
                                    </div>
                                    
                                </div>
                            </div>
                            <div class="card-footer bg-transparent">
                                <div class="mc-footer">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <button type="submit" class="btn btn-primary m-1">ویرایش</button>
                                            <a href="{{route('shop.index')}}" class="btn btn-outline-secondary m-1">لغو</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <!-- end::form -->
                    </div>
                </div>
                <!-- end default action bar -->
            </div>
            <!-- end::main-row -->
        </div>
    </section>
    <!-- end::basic action bar -->
@endsection

@section('bottom-js')
    <script src="{{asset('assets/js/vendor/toastr.min.js')}}"></script>
    {!! Brian2694\Toastr\Facades\Toastr::message() !!}
@endsection
